// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmininguc.balsa.plugins;

import java.io.InputStream;

import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmininguc.balsa.models.Balsa;

@Plugin(name = "Import Balsa from simplified file", parameterLabels = { "Filename" }, 
returnLabels = { "Balsa" }, returnTypes = { Balsa.class })

@UIImportPlugin(description = "Balsa simplified file", extensions = { "sbalsa" })

public class ImportSBalsa extends AbstractImportPlugin {
	
	protected FileFilter getFileFilter() {
		return new FileNameExtensionFilter("Balsa simplified files", "sbalsa");
	}

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		
/*		//TODO this is just an example of a simplified .sbalsa XML format
		
		//Create Balsa object
		Balsa balsa = BalsaFactory.createBalsa();

		//Import XML
		Document doc = DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(input);
		doc.getDocumentElement().normalize();
		
		//Process XML
		NodeList artifactList = doc.getElementsByTagName("artifact");
		for(int numArtifact = 0; numArtifact < artifactList.getLength(); numArtifact++){
			Node artifactNode = artifactList.item(numArtifact);
			
			if( artifactNode.getNodeType() == Node.ELEMENT_NODE){ // Be sure is an element type
				Element artifactElement = (Element) artifactNode;
				String artifactID = artifactElement.getAttribute("id");
				String artifactName = artifactElement.getAttribute("name");
				Artifact artifact = BalsaFactory.createArtifact(artifactID, artifactName, null);
				balsa.addArtifact(artifact);
			}	
		}
		
		//Return created balsa
		return balsa;*/
		
		System.out.println("NOT IMPLEMENTED");
		return null;
	}

}
