package org.processmininguc.parser;

import org.processmininguc.balsa.models.structures.ComparisonType;

public class ProcessedGuard {
	private boolean m_successful;
	private String m_message;
	private String m_artName;
	private ComparisonType m_compType;
	private int m_number;
	
	public ProcessedGuard(boolean successful, String message, String artName, ComparisonType compType, int number){
		m_successful = successful;
		m_message = message;
		m_artName = artName;
		m_number = number;
		m_compType = compType;
	}
	
	public ProcessedGuard(boolean succcessful, String message){
		m_successful = succcessful;
		m_message = message;
		m_compType = null;
		m_artName = "";
	}
	
	public boolean isSucessful(){
		return m_successful;
	}
	
	public String getMessage(){
		return m_message;
	}
	
	public String getArtName(){
		return m_artName;
	}
	
	public int getNumber(){
		return m_number;
	}
	
	public ComparisonType getComparisonType(){
		return m_compType;
	}
}
