// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmininguc.balsa.models;

import java.util.List;


public interface StateMachineDiagram {
	
	public List<StateMachineDiagramState> getStateList();
	
	public List<StateMachineDiagramState> getAllStatesList();

	public StateMachineDiagramState getInitialState();
	
	public List<StateMachineDiagramTransition> getTransitionList();

	public List<StateMachineDiagramEvent> getEventList();
	
	public String getName();


}
