// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmininguc.balsa.parameters;

import org.processmininguc.balsa.models.Artifact;
import org.processmininguc.balsa.models.Balsa;

public class ConvertBalsaArtifactToPetriNetConfiguration {
	
	private Artifact artifactToConvert;
	
	public ConvertBalsaArtifactToPetriNetConfiguration(Balsa balsa) {
		artifactToConvert = balsa.getArtifacts().iterator().next(); // First Artifact
	}

	public Artifact getArtifactToConvert() {
		return artifactToConvert;
	}

	public void setArtifactToConvert(Artifact artifactToConvert) {
		this.artifactToConvert = artifactToConvert;
	}

}
